{  simg -- command line applications for deterministic image processing
   Version 20210727
   Copyright (C) 1999-2021 Stefan Ziegenbalg
  
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 3 as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, see http://www.gnu.org/licenses/.
!}

{@name getgain}
{@description Calculate gain from image set}

{$I directives.pas}
uses simage,getparam;
var par        : tparams;
    cc         : CSImg_Config;
    fi         : string;
    iset       : CSImg_ImageSet_Files;
    r          : double;

begin
    cc:=CSImg_Config.create(SImg_Config_Default);
    with par do
    begin
        init;
        paramusage:='<infiles>';
        fi:='';      defparam('<infiles>','Source images',@fi,nil,tpstr,rapdreq);
        r:=4;        defparam('-r','Read out noise',r);
                     defparam('-h','Help',helpf);
        run;
        if not vardef(@r) then cc.warning('Read out noise not defined. Using default value of 4. Results will only by accurate if photon noise is large.');
        done;
    end;
    cc.debug('getnoise: src='+fi + ' rdnoise='+real2str(r));

    iset:=CSImg_ImageSet_Files.init(cc,fi);
    r:=SImg_GetGain(cc,iset,r);
    writeln('Gain: ' + real2str(r,5) + ' e/ADU');

    iset.done;
    cc.destroy;
end.
