{  simg -- command line applications for deterministic image processing
   Version 20210727
   Copyright (C) 1999-2021 Stefan Ziegenbalg
  
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 3 as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, see http://www.gnu.org/licenses/.
!}

{@name getnoise}
{@description Calculate (read out) noise from a (bias) image set}

{$I directives.pas}
uses simage,getparam;
var par        : tparams;
    cc         : CSImg_Config;
    fi         : string;
    iset       : CSImg_ImageSet_Files;
    r          : double;

begin
    with par do
    begin
        init;
        paramusage:='<infiles>';
        fi:='';      defparam('<infiles>','Source images',@fi,nil,tpstr,rapdreq);
                     defparam('-h','Help',helpf);
        run;
        done;
    end;
    cc:=CSImg_Config.create(SImg_Config_Default);
    cc.debug('getnoise: src='+fi);
    cc.cropcomp:=false;

    iset:=CSImg_ImageSet_Files.init(cc,fi);
    r:=SImg_GetNoise(cc,iset);
    writeln('Noise: '+real2str(r,5)+' ADU');

    iset.done;
    cc.destroy;
end.
