{  simg -- visualization tools
   Version 20210727
   Copyright (C) 1999-2021 Stefan Ziegenbalg
  
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 3 as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, see http://www.gnu.org/licenses/.
!}

{@name visual}
{@description Visualization utility}

{$I directives.pas}
uses cthreads,simage,getparam,siv;

var par            : tparams;
    cc             : CSImg_Config;
    hcb,hhb,nc     : boolean;
    fn             : string;
    fi             : TSImg_FPImage;

begin
    with par do
    begin
        init;
        paramusage:='[<infile>]';
        fn:='';       defparam('<infile>','Source image',fn);
                      defparam('-h','Help',helpf);
        hcb:=false;   defparam('-hcb','Hide control bar',hcb);
        hhb:=false;   defparam('-hhb','Hide histogram',hhb);
        nc:=false;    defparam('-c','Don''t combine multi time exposures',nc);
        run;
        done;
    end;
    cc:=CSImg_Config.create(SImg_Config_Default);
    siv_init(cc);
    fi.pt:=nil;
    CSIV_visual.init(siv_load_fn, fi,fn,   '', nil,  not hcb,not hhb,not nc,  nil);
    siv_main;
    siv_done;
    cc.destroy;
end.
