{  simg -- image processing library
   Version 20210727
   Copyright (C) 1999-2021 Stefan Ziegenbalg
  
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 3 as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, see http://www.gnu.org/licenses/.
!}

{*************************************************************************}
{*************************************************************************}
{***** simg configuration file *******************************************}
{*************************************************************************}
{*************************************************************************}
//ifndef[configvals]
//ifndef[constants]
{*************************************************************************}
{***** default Symbols ***************************************************}
{*************************************************************************}
{ replaced by SImg_Config_default.enableDebaug and removed in future. Should be enabled. }
//define[debug]

{ log timing information }
//define[timedebug]

{ memdebug
    enables a better memory debugging and allocation check }
//define[memdebug]

{ xmemdebug
    enables a extreme memory debugging and allocation check }
// define[xmemdebug]

{ cmem
    c memory manager for allocating large memory blocks }
// define[cmem]

{ doubleprec
    set to double precision }
//ifndef[singleprec]
// define[doubleprec]
//endif

{ DEFAULT_PACKRECORDS
    how records should be packed }
//define[@DEFAULT_PACKRECORDS;][{$PACKRECORDS 4}
{$PACKENUM 4}]

//else

const maxxsize  = 46000;
      minxsize  = 2;
      maxysize  = 46000;
      minysize  = 2;
      mincnsize = 1;
      maxcnsize = 256;

      { configuration file (todo) }
      SImg_ConfigFile='/etc/simg.conf';

      { home directory }
      SImg_Dir='simg';                  { home directory: ~/<SImg_Dir> }

      { misc }
      SImg_MaxThreads = 64;

//endif
//else
{*************************************************************************}
{***** default values ****************************************************}
{*************************************************************************}
const _SC_NPROCESSORS_ONLN = 83;
function sysconf(i: cint): clong; cdecl; external Name 'sysconf';

{******* defaults for configclass.inc ************************************}
// defaults for SImg_Config_default
//define[SImg_Default_Config_initvals;][
    name:='simg';
    logFileBase:=name;
    logFileNum:=5;
    { messages }
    EnableDebug     := false;       { enable debug messages }
    EnableInfos     := true;        { enable info messages }
    EnableHints     := true;        { enable hint messages }
    EnableWarnings  := true;        { enable warning messages }
    EnableErrors    := true;        { enable error messages }
    { other }
    pnmLE:=false;
    forceBE:=false;
    forceLE:=false;
    { threads, will be overwritten if number of  }
    threads:=sysconf(_SC_NPROCESSORS_ONLN);
]

{******* defaults for system.inc ******************************************}
const SImg_Sem_Timeout : longint = 20;   { timeout for semaphores in s }

//endif
